Lists all automation rule configurations for the current tenant.
curl --request GET \
--url https://{install}/api/rule \
--header 'Authorization: Bearer <token>'import requests
url = "https://{install}/api/rule"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{install}/api/rule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/rule");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
[
{
"entity": "<string>",
"name": "<string>",
"description": "<string>",
"active": true,
"owner": 123,
"ownerId": "<string>",
"trigger": 123,
"triggerEvent": 123,
"triggerInterval": "<string>",
"container": [
"<string>"
],
"conditionGroup": [
{
"condition": [
{
"id": "<string>",
"leftSide": "<string>",
"rightSide": "<string>",
"operator": 123
}
]
}
],
"actionValue": [
{
"actionType": 123,
"field": "<string>",
"value": "<unknown>",
"id": "<string>",
"active": true
}
],
"actionEndpoint": [
{
"actionType": 123,
"url": "<string>",
"httpHeader": [
"<string>"
],
"id": "<string>",
"active": true
}
],
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
]Workflow
Lists all automation rule configurations for the current tenant.
GET
/
api
/
rule
Lists all automation rule configurations for the current tenant.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Response
List of automation rules.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Updates an existing workflow process and synchronizes field removals across all containers.
Previous
Creates a new automation rule configuration.
Next
⌘I